Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc.collaboration.tasklist
Class TaskStatus

    java.lang.Object
      com.plumtree.remote.prc.collaboration.tasklist.TaskStatus

public class TaskStatus
extends java.lang.Object

An enumerated type used to describe the status for an `ITask`.

Field Summary
`static TaskStatus` | `COMPLETED` 100% complete.
`static TaskStatus` | `FIFTY_PERCENT_COMPLETED` 50% complete.
`static TaskStatus` | `PENDING` Pending or 0% complete.
`static TaskStatus` | `SEVENTY_FIVE_PERCENT_COMPLETED` 75% complete.
`static TaskStatus` | `TWENTY_FIVE_PERCENT_COMPLETED` 25% complete.

Method Summary
`java.lang.Object` | `getUnderlyingObject()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### COMPLETED

    public static final TaskStatus COMPLETED

  100% complete.

### FIFTY_PERCENT_COMPLETED

    public static final TaskStatus FIFTY_PERCENT_COMPLETED

  50% complete.

### PENDING

    public static final TaskStatus PENDING

  Pending or 0% complete.

### SEVENTY_FIVE_PERCENT_COMPLETED

    public static final TaskStatus SEVENTY_FIVE_PERCENT_COMPLETED

  75% complete.

### TWENTY_FIVE_PERCENT_COMPLETED

    public static final TaskStatus TWENTY_FIVE_PERCENT_COMPLETED

  25% complete.

Method Detail

### toString

    public java.lang.String toString()

### getUnderlyingObject

    public java.lang.Object getUnderlyingObject()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.